<html><head><title>TRANE-PASSENGERS</title></head><body><h3>API for package TRANE-PASSENGERS</h3>
<blockquote>UNDOCUMENTED</blockquote>
<p>(<b>activate-passenger</b> class ticket)&nbsp;&nbsp;&nbsp;<i>function</i></p>
<blockquote>Activate passenger of CLASS, using TICKET.

Thin wrapper on CONFIRM-ACTIVATION-TICKET, returns passenger DAO
instead of numerical ID, and signals UNAUTHORIZED-ERROR on invalid
TICKET.</blockquote><p>(<b>confirm-activation-ticket</b> class ticket &key activation-info ticket-timeout)&nbsp;&nbsp;&nbsp;<i>function</i></p>
<blockquote>Confirm activation ticket TICKET for passenger class CLASS.

ACTIVATION-INFO is additional information stored in the database.
TICKET-TIMEOUT is number of days, after which activation ticket becomes invalid.

Returns valiated user ID (integer), or NIL if ticket is
invalid (i.e. nonexistent, already used, or more than 5 days old).</blockquote><p>(<b>cookie-passenger</b> cookie class)&nbsp;&nbsp;&nbsp;<i>function</i></p>
<blockquote>Authorize passenger of CLASS, based on authentication cookie COOKIE.</blockquote><p>(<b>create-activation-ticket</b> passenger &optional count)&nbsp;&nbsp;&nbsp;<i>function</i></p>
<blockquote>Create new activation ticket for PASSENGER.

Used in new user registration and in password recovery process.
Returns activation ticket as string.</blockquote><p>(<b>id</b> x)&nbsp;&nbsp;&nbsp;<i>generic-function</i></p>
<blockquote>Numeric ID or :NULL for DAOs and, if it makes sense, other objects.

Usually it will be a reader method automatically defined for ID column of a DAO.</blockquote><p>(<b>invite-passenger</b> parent email &rest initargs)&nbsp;&nbsp;&nbsp;<i>function</i></p>
<blockquote>Let passenger PARENT invite new passenger at EMAIL.</blockquote><p><b>passenger</b>&nbsp;&nbsp;&nbsp;<i>class</i></p>
<blockquote>A basic, user-like object.</blockquote><blockquote>Class precedence list: <tt> passenger dirtiness-mixin standard-object t</tt></blockquote>
<blockquote>Class init args: <tt> :name :active-p :parent :email :password-base64 :confirmed-p :invitations</tt></blockquote>
<p><b>PASSENGER-ACTIVE-P</b></p>&nbsp;&nbsp;&nbsp;<i><font color="FF0000">undocumented</font></i></p>
<p><b>PASSENGER-CONFIRMED-P</b></p>&nbsp;&nbsp;&nbsp;<i><font color="FF0000">undocumented</font></i></p>
<p>(<b>passenger-cookie</b> passenger)&nbsp;&nbsp;&nbsp;<i>function</i></p>
<blockquote>Return authentication cookie for PASSENGER.</blockquote><p><b>PASSENGER-EMAIL</b></p>&nbsp;&nbsp;&nbsp;<i><font color="FF0000">undocumented</font></i></p>
<p><b>PASSENGER-INVITATIONS</b></p>&nbsp;&nbsp;&nbsp;<i><font color="FF0000">undocumented</font></i></p>
<p><b>PASSENGER-NAME</b></p>&nbsp;&nbsp;&nbsp;<i><font color="FF0000">undocumented</font></i></p>
<p><b>PASSENGER-PARENT</b></p>&nbsp;&nbsp;&nbsp;<i><font color="FF0000">undocumented</font></i></p>
<p><b>PASSENGER-PASSWORD</b></p>&nbsp;&nbsp;&nbsp;<i><font color="FF0000">undocumented</font></i></p>
<p><b>passenger-unauthorized-error</b>&nbsp;&nbsp;&nbsp;<i>condition</i></p>
<blockquote>Error raised on authorization failure.</blockquote><blockquote>Class precedence list: <tt> passenger-unauthorized-error error serious-condition condition standard-object t</tt></blockquote>
<p>(<b>register-passenger</b> class &rest initargs)&nbsp;&nbsp;&nbsp;<i>function</i></p>
<blockquote>Register new passenger of CLASS.

Thin wrapper arount MAKE-INSTANCE+INSERT-DAO.  INITARGS are
MAKE-INSTANCE keyword arguments; if :PARENT initarg is given, parent's
ID is automatically calculated, so user DAO can be directly provided.
Returns new passenger's activation ticket and created DAO (already
inserted into database).</blockquote><p>(<b>setup-passenger-class-sql</b> class)&nbsp;&nbsp;&nbsp;<i>function</i></p>
<blockquote>SQL statement list to initialize passenger class CLASS.</blockquote><p>(<b>try-activation-ticket</b> class ticket)&nbsp;&nbsp;&nbsp;<i>function</i></p>
<blockquote>Try (but do not mark as already used) an activation ticket.

Returns ticket's passenger ID (integer), or NIL.</blockquote><font size=-1><p>Documentation generated by <a href="http://homepage.mac.com/svc/lispdoc/">lispdoc</a> running on Clozure Common Lisp</p></font></body></html>